package com.rv.home.rv.module.ui.main.home.adapter;

import android.widget.ImageView;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.ruiwenliu.wrapper.util.BaseGlideHolder;
import com.rv.home.R;
import com.rv.home.R2;

/**
 * Created :Auser
 * Date: 2019/5/17.
 * Desc:热门车型适配
 */

public class HotCarTypeAdapter extends BaseQuickAdapter<String,BaseGlideHolder>{
    public HotCarTypeAdapter() {
        super(R.layout.rv_item_hot_car_type);
    }

    @Override
    protected void convert(BaseGlideHolder helper, String item) {
        String url = "https://ss0.bdstatic.com/94oJfD_bAAcT8t7mm9GUKT-xh_/timg?image&quality=100&size=b4000_4000&sec=1543312516&di=6e4dacdfc8ca2ebd0a18ae25d3154717&src=http://pic1.win4000.com/wallpaper/2018-07-20/5b51756e43021.jpg";
        helper.loadRoundImage(mContext,url, (ImageView) helper.getView(R.id.iv_goods),10);
        helper.setText(R.id.tv_name,item);
        helper.setText(R.id.tv_content,"c1、烧烤、麻将、微波炉");
        helper.setText(R.id.tv_price,String.format("￥%1$s%2$s","332225",mContext.getString(R.string.rv_day)));
    }
}
